Skip to main content
`Ctrl`+`K`

# PCTelescopeGetSubcommType

Get the subcommunicator type `PetscSubcommType` (interlaced or contiguous) set with `PCTelescopeSetSubcommType()`

## Synopsis

    #include "petscksp.h"
    #include "petscdm.h"
    PetscErrorCode PCTelescopeGetSubcommType(PC pc, PetscSubcommType *subcommtype)

Not Collective

## Input Parameter

- pc - the preconditioner context

## Output Parameter

- subcommtype - the subcommunicator type (see `PetscSubcommType`)

## See Also

KSP: Linear System Solvers, `PetscSubcomm`, `PetscSubcommType`, `PCTELESCOPE`, `PCTelescopeSetSubcommType()`

## Level

advanced

## Location

src/ksp/pc/impls/telescope/telescope.c

## Implementations

PCTelescopeGetSubcommType_Telescope() in src/ksp/pc/impls/telescope/telescope.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages